List event deliveries
curl --request GET \
--url https://api.deck.co/v2/event-destinations/{destination_id}/event-deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/event-destinations/{destination_id}/event-deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/event-destinations/{destination_id}/event-deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"object": "<string>",
"status": "<string>",
"event_type": "<string>",
"event_id": "<string>",
"event_destination_id": "<string>",
"attempts": 123,
"created_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Event Destinations
List event deliveries
Returns a paginated list of event deliveries for a destination. Supports filtering by delivery status.
GET
/
event-destinations
/
{destination_id}
/
event-deliveries
List event deliveries
Authorizations
Secret key (sk_live_...)
Path Parameters
Unique identifier for the event destination (prefixed with evtd_).
Query Parameters
Maximum number of items to return (1-100, default 20).
Cursor from a previous response for pagination.
Filter by delivery status: success, failure.
Filter by event type.
Response
OK
Array of resource objects for the current page.
Show child attributes
Show child attributes
true if there are more results beyond this page.
Opaque cursor string to pass as the cursor query parameter on the next request. null when there are no more pages.
Unique identifier for the API request.
Was this page helpful?
⌘I